%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname searchlogic
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Searchlogic makes using ActiveRecord named scopes easier and less repetitive
Name: rubygem-%{gemname}
Version: 2.4.27
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/binarylogic/searchlogic
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

BuildArch: noarch

Requires: rubygems
Requires: rubygem(activerecord) >= 2.0.0

BuildRequires: rubygems

Provides: rubygem(%{gemname}) = %{version}

%description
Searchlogic makes using ActiveRecord named scopes easier and less repetitive.


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

# there is a .gitignore file being distributed
find %{buildroot}/ -name .gitignore -print0 | xargs -0 /bin/rm -f


%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Fri Jan 28 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.4.27-1
- Initial package
